Name: sudo
Version: 1.6.6
%define vers_rc %nil
%define vers_rel alt4.1
Release: %vers_rel%vers_rc
Serial: 1
%define srcname %name-%version%vers_rc

Summary: Allows command execution as another user
Summary(ru_RU.KOI8-R):      
License: BSD-style
Group: System/Base
Url: http://www.courtesan.com/%name/

Source: ftp://ftp.courtesan.com/pub/%name/%srcname.tar.bz2
Source1: %name.pamd
Source2: sudoers
Source3: rpminst.sudoers
Source4: %name.control

Patch0: %name-1.6.7p5-cvs-rebuild_env.patch
Patch1: %name-1.6.4-alt-enable-dev.patch
Patch2: %name-1.6.4-alt-progname.patch
Patch3: %name-1.6.4-alt-sudoers_dir.patch
Patch4: %name-1.6.6-alt-vitmp.patch
Patch5: %name-1.6.6-alt-tgetpass.patch

PreReq: control
Requires: vitmp
Provides: %_sysconfdir/%name.d

# Automatically added by buildreq on Sun Sep 01 2002
BuildRequires: flex groff libpam-devel

%description
Sudo is a program designed to allow a sysadmin to give limited root
privileges to users and log root activity.  The basic philosophy is
to give as few privileges as possible but still allow people to get
their work done.

%description -l ru_RU.KOI8-R
Sudo - ,     
      ,
    .   - 
   ,   ,   
  .

%prep
%setup -q -n %srcname
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
install -p -m644 %SOURCE2 %SOURCE3 .

%build
configure_options='
--with-logging=syslog
--with-logfac=authpriv
--enable-log-host
--disable-log-wrap
--disable-saved-ids
--with-pam
--with-ignore-dot
--with-env-editor
--with-sudoers-mode=0400
--with-editor=/bin/vitmp
--with-sendmail=/usr/sbin/sendmail
--with-secure-path=/sbin:/usr/sbin:/usr/local/sbin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin'

%configure $configure_options
%make *.man.in
%configure $configure_options
%__subst 's/ -ldl//g;s/ -lcrypt//g' Makefile
#mv parse.yacc parse.y
%__rm -f lex.yy.c sudo.tab.h sudo.tab.c
%make_build

%install
make install \
	sudoers_uid=`id -un` \
	sudoers_gid=`id -gn` \
	DESTDIR=$RPM_BUILD_ROOT
%__install -p -m640 -D %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/pam.d/%name
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/%name.d
%__mkdir_p $RPM_BUILD_ROOT/var/run/%name
%__chmod u+rwx $RPM_BUILD_ROOT%prefix/*bin/*
%__install -pD -m755 $RPM_SOURCE_DIR/%name.control $RPM_BUILD_ROOT/etc/control.d/facilities/%name

%pre
[ $1 -eq 1 ] || /usr/sbin/control-dump %name

%post
[ $1 -eq 1 ] || /usr/sbin/control-restore %name

%files
%config /etc/control.d/facilities/%name
%attr(400,root,root) %config(noreplace) %_sysconfdir/sudoers
%attr(600,root,root) %config(noreplace) %_sysconfdir/pam.d/%name
%attr(4711,root,root) %_bindir/%name
%attr(755,root,root) %_sbindir/visudo
%attr(700,root,root) /var/run/%name
%attr(700,root,root) %_sysconfdir/%name.d
%_mandir/man?/*
%doc BUGS CHANGES HISTORY INSTALL LICENSE PORTING README TODO
%doc TROUBLESHOOTING UPGRADE sample.sudoers rpminst.sudoers

%changelog
* Fri Nov 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1:1.6.6-alt4.1
- Backported patch that restricts exporting of shell functions.

* Thu Oct 17 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.6.6-alt4
- Added control support for sudo.

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.6.6-alt3
- tgetpass: The /dev/tty _must_ be opened for reading/writing unless
  requested to use stdin/stderr.

* Fri May 17 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.6.6-alt2
- Set default visudo(8) editor to vitmp(1).

* Mon May 13 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.6.6-alt1
- 1.6.6

* Fri Apr 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.5p2-alt3
- Applied patch from Tom Parker.

* Mon Jan 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.5p2-alt2
- Added %_sysconfdir/%name.d

* Thu Jan 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.5p2-alt1
- 1.6.5p2.
- Built with --disable-saved-ids.

* Thu Jan 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.5p1-alt2
- Rebuilt with bison-1.31-alt2.

* Mon Jan 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.5p1-alt1
- 1.6.5p1.

* Thu Jan 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.5-alt1
- 1.6.5 final.

* Tue Jan 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.4-alt2
- Fixed nasty typo in description.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.4-alt1
- 1.6.4 final.

* Sun Jan 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.4-alt0.1rc4
- 1.6.4rc4, which fixes set_perms_posix problem.

* Sat Jan 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.6.4-alt0.1rc3
- 1.6.4rc3, updated patches.
- Explicitly set sudoers mode to 0400.
- Disabled broken set_perms_posix introduced in new version.
- Cleaned up list of linked libraries.

* Sun Apr 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.6.3p7-ipl3mdk
- Fixed progname usage.
- Fixed SECURE_PATH.
- Enabled: --with-secure-path --with-env-editor --with-editor=/bin/vi.
- Implemented optional sudoers file for visudo.
- implemented sudoers lookup in %_sysconfdir/%name.d directory.

* Mon Mar 05 2001 Dmitry V. Levin <ldv@fandra.org> 1.6.3p7-ipl2mdk
- Corrected license information.

* Sat Mar 03 2001 Dmitry V. Levin <ldv@fandra.org> 1.6.3p7-ipl1mdk
- 1.6.3p7

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 1.6.3p6-ipl1mdk
- 1.6.3p6

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 1.6.3p5-ipl5mdk
- Added set of PAM_TTY.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 1.6.3p5-ipl4mdk
- Commented out translations in specfile for a while.

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.6.3p5-ipl3mdk
- Updated pam configuration.
- Changed syslog facility to log with from local2 to authpriv.

* Fri Sep 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.6.3p5-ipl2mdk
- Russian translations.

* Mon Aug 14 2000 Dmitry V. Levin <ldv@fandra.org> 1.6.3p5-ipl1mdk
- 1.6.3p5

* Wed Jun 07 2000 Dmitry V. Levin <ldv@fandra.org> 1.6.3p4-ipl1mdk
- 1.6.3p4

* Mon May 15 2000 Dmitry V. Levin <ldv@fandra.org> 1.6.3p3-ipl1mdk
- 1.6.3p3

* Thu May 04 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Apr 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6.2p2-3mdk
- Set /etc/sudoers as 0440.

* Fri Apr 7 2000 Denis Havlik <denis@mandrakesoft.com> 1.6.2p2-2mdk
- Group: System/Base
- fixed config files

* Mon Feb 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6.2p2-1mdk
- 1.62p2.

* Wed Feb  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6.2p1-1mdk
- 1.6.2p1.
- specs teak.

* Thu Jul 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.5.9p3-1]
- Updated to version 1.5.9p3
- Changed RPM name from cu-sudo tp sudo.

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.5.9p2-1]
- Added dir /var/run/sudo to file list.
- Added --enable-log-host --disable-log-wrap to configure.
- Added --with-logging=file to configure.
- Added logrotate.d file to rotate /var/log/sudo.log monthly.

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.5.9p2-1]
- Initial RPM build.
- Installing sample pam file.
